package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.ITmstruckUnloadResultService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;


/**
 * TmstruckQualityTrackingCard RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-09 05:44
 * 类描述
 * 修订历史：
 * 日期：2021-09-09
 * 作者：generator
 * 参考：
 * 描述：TmstruckQualityTrackingCard RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/tmstruckunloadresult")
public class TmstruckUnloadResultController extends BaseRESTfulController {

    @Autowired
    ITmstruckUnloadResultService tmstruckUnloadResultService;

    @Autowired
    ColumnDataUtil columnDataUtil;

    @ApiOperation(value="查询卸货实绩")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(103)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping("/getUnloadResult")
    public RESTfulResult getUnloadResult(@RequestBody(required=false) Map<String,Object> mapValue,
                                           Integer apiId,
                                           Integer pageNum,
                                           Integer pageSize
    ){
        //不分页筛选数据
        List<Map<String, Object>> allUnloadResult = tmstruckUnloadResultService.getUnloadResult(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> unloadResult = tmstruckUnloadResultService.getUnloadResult(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, allUnloadResult,unloadResult);
        return success(pageList);
    }

    @ApiOperation(value="更新卸货实绩 ")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "resultId", value = "装车作业实绩ID", required = false, dataType = "Integer"),
    })
    @PostMapping("/addUnloadResult")
    public RESTfulResult addUnloadResult(@RequestBody Map<String, Object> mapValue){
        int i = tmstruckUnloadResultService.updateUnloadResult(mapValue);
        return success(i);
    }

}
