package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.poi.ss.formula.functions.T;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface OmstruckOrderMapper extends IBaseMapper<OmstruckOrder, BigDecimal> {
    //查询所有运输订单信息 状态：3
    //查询所有已下发运输订单 状态：4
    List<Map<String, Object>> getAllTruckOrder(Map<String, Object> map);

    //新增运单
    int insertSelective(OmstruckOrder omstruckOrder);

    //查询最大主键Id
    @Select("select seq_omstruck_order.nextval from dual")
    BigDecimal selectMaxId();

    //通过运输订单Id查询运输订单号
    String getOrderNumberByOrderId(Integer orderId);

    //查询所有运力信息
    List<Map<String, Object>> getAllCapacity(Map<String, Object> map);

    //通过运力Id 或 车牌号 修改运输状态
    int updateCapacityByCarIdOrNum(Map<String, Object> map);

    //通过运输订单ID 或 运输订单号 查询运力Id
    BigDecimal getCapacityIdByOrderOrNum(Map<String, Object> map);

    //修改运输订单 、分配运单给司机
    int updateByPrimaryKeySelective(OmstruckOrder omstruckOrder);

    //通过ID获取派单时间
    Date getInsertTimeById(Integer orderId);

    //通过车牌号查询运力id
    BigDecimal getCapacityIdByCapacityNum(String capacityNumber);

    //司机接单调用接口 通过运力Id匹配  /  通过运单ID查询运单信息 APP
    //查询所有接单或拒绝接单的订单 PC
    List<Map<String, Object>> getTruckOrderByCapacityNum(Map<String, Object> map);

    //查询司机所有已拒绝过的订单
    List<Map<String, Object>> getReceiveRefuseOrderByCapacityId(Map<String, Object> map);


    // 查询实绩地点和时间
    List<Map<String, Object>> selectPlaceAndTime(BigDecimal orderId);

    //通过运单号查询运单信息
    List<Map<String, Object>> getOrderByOrderId(BigDecimal orderId);

    //通过运输订单号查询预设路径的作业点ID  及 总实绩ID
    Map<String, Object> getPointIdByOrderNum(String orderNumber);

    //运输派单
    List<Map<String, Object>> getTransportDispatch(Map<String, Object> map);
}