package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckEnfactoryResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckEnfactoryResultMapper extends IBaseMapper<TmstruckEnfactoryResult, Short> {
    //获取所有进厂实绩
    List<Map<String, Object>> getAllEnFactoryResult(Map<String, Object> map);

    //查询最大主键Id
    @Select("select seq_tmstruck_enfactory_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过车牌号和 运输订单 查询 与运输订单关联的实绩总表ID
    Integer selectOrderIdByCpAndOn(Map<String, Object> map);

    //通过门岗名称查询门岗Id
    Integer selectGatepostIdByGatepostName(String gatepostName);

    //根据orderNumber获取实绩id
    Map<String, Object> selectEnFactoryResultId(String orderNumber);

    //查找排队序号
    Integer selectNodeNumber(String orderNumber);

}