package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckLoadResultMapper extends IBaseMapper<TmstruckLoadResult, BigDecimal> {
    //查询所有的装车实绩
    List<Map<String, Object>> getAllLoadResult(Map<String, Object> map);

    //新增装车实绩
    int insertSelective(TmstruckLoadResult tmstruckLoadResult);

    //查询最大ID值
    @Select("select seq_tmstruck_load_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //通过发站ID查询所属港口ID
    BigDecimal getPortIdBySendStationId(BigDecimal sendStationId);

    //通过订单ID查询批次ID
    BigDecimal getBatchIdByOrderId(BigDecimal orderId);
}