package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckReceiptResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckReceiptResultMapper extends IBaseMapper<TmstruckReceiptResult, BigDecimal> {
    //查询最大ID值
    @Select("select seq_tmstruck_receipt.nextval from dual")
    BigDecimal selectMaxId();

    //通过总实绩Id查询主键Id
    BigDecimal getIdByTotalResultId(Integer totalResultId);

    //计皮完成后 通过总实绩ID 更新状态 为 1
    int updateByTotalResultId(TmstruckReceiptResult tmstruckReceiptResult);

    //查询所有签收实绩
    List<Map<String, Object>> getReceiveResult(Map<String, Object> map);
}