package com.steerinfo.dil.service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * OmstruckOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-03 03:47
 * 类描述
 * 修订历史：
 * 日期：2021-09-03
 * 作者：generator
 * 参考：
 * 描述：OmstruckOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IOmstruckOrderService{

    //查询所有运输订单信息 状态：3
    //查询所有已经下发的运输订单 用于查询司机车牌 websocket  状态：4
    List<Map<String, Object>> getAllTruckOrder(Map<String, Object> map);

    //新增采购进口矿 运输订单
    int addPurOrder(Map<String, Object> map);

    //查询所有运力信息
    List<Map<String, Object>> getAllCapacity(Map<String, Object> map);

    //修改运输订单 和 运输订单子表
    int updateOrder(Map<String, Object> map);

    //分派运单给司机
    int dispatchOrder(Integer id);

    //逻辑删除未下发运单
    int deleteOrder(Map<String, Object> map);

    //司机接单\拒绝
    int driverReceiveOrRefuse(Map<String, Object> map);

    //查询所有接单或拒绝接单的订单
    List<Map<String, Object>> getReceiveRefuseOrder(Map<String, Object> map);

    //司机接单调用接口推送数据 接收车牌号
    List<Map<String, Object>> sendMesToDriver(Map<String, Object> map);

    //通过运单号查询所有信息
    List<Map<String, Object>> getOrderMesByOrderNum(Map<String, Object> map);

    //查询司机所有已拒绝过的订单
    List<Map<String, Object>> getReceiveRefuseOrderByCapacityId(Map<String, Object> map);

    // 查询实绩地点和时间
    List<Map<String, Object>> selectPlaceAndTime(BigDecimal orderId);

    //通过运单Id获取运单相关信息
    List<Map<String, Object>> getOrderByOrderId(BigDecimal orderId);

    //运输派单
    List<Map<String, Object>> getTransportDispatch(Map<String, Object> map);
}