package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.TmstruckMeasureCommissionMapper;
import com.steerinfo.dil.model.TmstruckMeasureCommission;
import com.steerinfo.dil.service.ITmstruckMeasureCommissionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * TmstruckMeasureCommission服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-09 10:28
 * 类描述
 * 修订历史：
 * 日期：2021-09-09
 * 作者：generator
 * 参考：
 * 描述：TmstruckMeasureCommission服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckMeasureCommissionService")
public class TmstruckMeasureCommissionServiceImpl implements ITmstruckMeasureCommissionService {

    @Autowired
    private TmstruckMeasureCommissionMapper tmstruckMeasureCommissionMapper;

    /**
     * 查询计量委托 0 ：计皮     1：计毛
     * @param map
     * @return
     */
    @Override
    public List<Map<String, Object>> getAllMeasureCommission(Map<String, Object> map) {
        return tmstruckMeasureCommissionMapper.getAllMeasureCommission(map);
    }

    /**
     * 进厂作业完成后 系统自动新增计毛、计皮委托
     * @return
     */
    @Override
    public int addMeasureCommission(BigDecimal totalId, Integer type) {
        TmstruckMeasureCommission tmstruckMeasureCommission = new TmstruckMeasureCommission();
        //生成主键Id
        tmstruckMeasureCommission.setCommssionId(tmstruckMeasureCommissionMapper.selectMaxId());

        //添加实绩总表Id
        tmstruckMeasureCommission.setResultTotalId(totalId);

        //添加计量类型
        tmstruckMeasureCommission.setCommssionType(new BigDecimal(type));

        tmstruckMeasureCommission.setInsertTime(new Date());
        tmstruckMeasureCommission.setInsertUsername("admin");
        return tmstruckMeasureCommissionMapper.insertSelective(tmstruckMeasureCommission);
    }


}
