package com.steerinfo.dil.websocket;

import com.steerinfo.dil.service.IOmstruckOrderService;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.controller.BaseRESTfulController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.messaging.simp.SimpMessagingTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
public class WebSocketController extends BaseRESTfulController {

    @Autowired
    private SimpMessagingTemplate simpMessagingTemplate; //消息(发送)推送模板

    @Autowired
    private IOmstruckOrderService omstruckOrderService;


    @Scheduled(fixedDelay = 3000000)
    public void sendMessage() {
        Map<String, Object> map = new HashMap<>();
        //推送给状态为已下发为4 的所有订单
        map.put("orderStatus", 4);

        //订单推送
        List<Map<String, Object>> allTruckOrder = omstruckOrderService.getAllTruckOrder(map);
        for (Map<String, Object> maps : allTruckOrder) {
            //从map中获取车牌号
            BigDecimal capacityId = DataChange.dataToBigDecimal(maps.get("capacityId"));
            System.out.println(capacityId);
            //推送到队列
            simpMessagingTemplate.convertAndSend(("/topic/getResponse/" + capacityId).trim(), capacityId);
        }
    }
}